Phidgets Plugin  

Developer: Berkinet's Plugins
Category: Digital/Analog I/O Modules
Assistance: Get help!   
Plugin ID: com.perceptiveautomation.indigoplugin.Phidgets
Latest release: v0.7.4 released on Oct. 21, 2018
Requires: Indigo v5.0.0 or higher
(Check the Releases tab below for older releases that may have different requirements)
  Download latest release

Add I/O boards from Phidgets as standard input/output devices in Indigo. This allows users to integrate a variety of digital and analog inputs and control outputs for many generic devices.

This plugin only works with the Phidget version 2.1 libraries. You can run the v2.2 libraries. But, you MUST NOT DELETE the v2.1 libraries
Doing so will break the plugin.

The v2.2 libraries add support for a new range of Phidget devices. But, in doing so, the entire architecture of the API was changed. Supporting this new architecture is not trivial and it is unlikely I will be able to add 2.2 support before the end of 2017 - if at all.

Release details
Released on: Oct. 21, 2018
Requires: Indigo v5.0.0+
Changes in this release

Re write of the initial connection and attach process. The plugin will now gracefully recover from a failure to attach a stand-alone phidget. Previously, if a phidget failed to attach, subsequent attempts to attach other phidgets would fail. A new plugin config property was added to set the attach wait timeout (default 10 seconds)

Tested on Mojave 10.14 and Indigo 7.2

Release details
Released on: Oct. 21, 2018
Requires: Indigo v5.0.0+
Changes in this release

Re write of the initial connection and attach process. The plugin will now gracefully recover from a failure to attach a stand-alone phidget. Previously, if a phidget failed to attach, subsequent attempts to attach other phidgets would fail.

Testes on Mojave 10.14 and Indigo 7.2

Release details
Released on: Dec. 6, 2017
Requires: Indigo v5.0.0+
Changes in this release

Previous release 1.11.1 was the wrong code. DO NOT DOWNLOAD THAT RELEASE

Release details
Released on: Nov. 28, 2017
Requires: Indigo v5.0.0+
Changes in this release

This release is the first in the Plugin Store.